/* HTTP API PC支付业务模块
 * Copyright 2020, CAIMEI365
 * Date   2020/07/14
 * auther ZHJY
 */
var PayApi = {
        PayOrderCheckoutCounter: function (params, callback) {//网银支付链接初始化数据
            Http.AjaxService({ url:'/PayOrder/checkoutCounter', type:'GET', data:params, json:true, mask:true,replace:false})
                .then(function(res){
                    callback(res);
                });
        },
        PayOrderPcMallPay: function (params, callback) {//查询跳转网银页面
            Http.AjaxService({ url:'/PayOrder/pcMallPay', type:'POST', data:params, json:false, mask:true,replace:false})
                .then(function(res){
                    callback(res);
                });
        },
        PayOrderMiniWxPay: function (params, callback) {//调起微信公众号支付
            Http.AjaxService({ url:'/PayOrder/miniWxPay', type:'post', data:params, json:false, mask:false,replace:false})
                .then(function(res){
                    callback(res);
                });
        },
        PayOrderPayWhetherSuccess: function (params, callback) {//查询微信是否已完成支付
            Http.AjaxService({ url:'/PayOrder/payWhetherSuccess', type:'GET', data:params, json:true, mask:false,replace:false})
                .then(function(res){
                    callback(res);
                });
        },
        PayOrderFindOrderStatus: function (params, callback) {//查询判断是否已完成支付
            Http.AjaxService({ url:'/PayOrder/findOrderStatus', type:'GET', data:params, json:true, mask:false,replace:false})
                .then(function(res){
                    callback(res);
                });
        },
        PayOrderPayLink: function (params, callback) {//查询判断是否已完成支付unpaidAmount 本次待付款金额 orderId  主订单ID
            Http.AjaxService({ url:'/PayOrder/payLink', type:'POST', data:params, json:false, mask:true,replace:false})
                .then(function(res){
                    callback(res);
                });
        },
        PayOrdersecondHandPay: function (params, callback) {//发布二手商品支付 本次待付款金额 productID  主订单ID
            Http.AjaxService({ url:'/PayOrder/secondHandPay', type:'POST', data:params, json:false, mask:true,replace:false})
                .then(function(res){
                    callback(res);
                });
        }
};
